# self_iterator.hh File Reference

Iterator holding its container. More...

Include dependency graph for self_iterator.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | SelfIterator< C, T >
| SelfIterator is an iterator which is also a container. More...

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.
namespace | vcsn::misc

| The namespace for miscellaneous constructs.

## Detailed Description

Iterator holding its container.

Definition in file self_iterator.hh.